<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$fam_id=ucfirst(limpiar($_POST['id']));
$fam_nombre=strtoupper(limpiar($_POST['nombre']));

$idfam=mysqli_query($con,"SELECT * FROM familias WHERE fam_id='$fam_id' and empresa='$empresa'  ") ;
$idfam1=mysqli_fetch_array($idfam); 
$fam_nombre_ant=$idfam1['fam_nombre'];

$empr1=mysqli_query($con,"SELECT * FROM empresa where emp_id<>'4'") or die(mysqli_error($con)); 
while ($empr=mysqli_fetch_array($empr1))
{   
    $emp_id=$empr['emp_id'];
    $emp_nombre2=$empr['emp_nombre'];


    $idfam2=mysqli_query($con,"SELECT * FROM familias WHERE fam_nombre='$fam_nombre_ant' and empresa='$emp_id' ") ;
    $result_t2=mysqli_num_rows($idfam2);
    if ($result_t2>0) 
    {
        $idfam3=mysqli_fetch_array($idfam2); 
        $fam_id_x_emp=$idfam3['fam_id'];
        $sql=mysqli_query($con,"UPDATE familias Set fam_nombre='$fam_nombre' Where fam_id='$fam_id_x_emp'") or die(mysqli_error($con)); 

        $nameimagen = $_FILES['imagen_cate']['name'];
        $tmpimagen = $_FILES['imagen_cate']['tmp_name'];
        $extimagen = pathinfo($nameimagen);
        $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff");
        $urlnueva = "../img/categorias/".$fam_id_x_emp.".jpg";
        if(is_uploaded_file($tmpimagen))
        {
            if(array_search($extimagen['extension'],$ext))
            {
                copy($tmpimagen, $urlnueva);
            }
            else 
            {
                echo '<div class="alert alert-danger alert-dismissable">
                  <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                  <strong>La imagen no se modifico! </strong> Solo se permiten imágenes con formato  jpg.
                </div>';
            }
        }
        echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Categoria!</strong> Modificada correctamente.
        </div>';
    }
    else
    {
        echo '<div class="alert alert-danger alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Categoria no Encontrada en '.$emp_nombre2.'</strong>
            </div>';
    }




     

}

?>